curl https://api.stophy.dev/v1/parse/formats \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/parse/formats", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/parse/formats",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"data": {
"formats": [
{
"format": "pdf",
"kind": "document",
"extensions": [
".pdf"
],
"mimeTypes": [
"application/pdf"
],
"available": true,
"name": "pdf",
"types": [
".pdf",
"application/pdf"
],
"options": [
"formats",
"zeroDataRetention",
"parsers"
],
"note": "Up to 100 pages; pages with no text layer are read from their picture, up to 20."
}
]
}
}
Parse
Parse formats
List the file formats parse reads. Send one request and get JSON back. Examples in cURL, TypeScript and Python. A failed call costs nothing.
GET
/
v1
/
parse
/
formats
curl https://api.stophy.dev/v1/parse/formats \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/parse/formats", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/parse/formats",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"data": {
"formats": [
{
"format": "pdf",
"kind": "document",
"extensions": [
".pdf"
],
"mimeTypes": [
"application/pdf"
],
"available": true,
"name": "pdf",
"types": [
".pdf",
"application/pdf"
],
"options": [
"formats",
"zeroDataRetention",
"parsers"
],
"note": "Up to 100 pages; pages with no text layer are read from their picture, up to 20."
}
]
}
}
Price
Free. See Pricing.curl https://api.stophy.dev/v1/parse/formats \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/parse/formats", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/parse/formats",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"data": {
"formats": [
{
"format": "pdf",
"kind": "document",
"extensions": [
".pdf"
],
"mimeTypes": [
"application/pdf"
],
"available": true,
"name": "pdf",
"types": [
".pdf",
"application/pdf"
],
"options": [
"formats",
"zeroDataRetention",
"parsers"
],
"note": "Up to 100 pages; pages with no text layer are read from their picture, up to 20."
}
]
}
}